INSTALLATION INTRODUCTION
-------------------------

This file describes how to compile and install tnftp on your system.

NOTE: You will need an ANSI C compiler.

For most systems, execute the following to compile and install tnftp:
	./configure
	make
	make install


CONFIGURATION OPTIONS
---------------------

tnftp is configured using an `autoconf' generated `configure' script.

`configure' supports various options including:

* The standard `autoconf configure' options, including:
  -h, --help              display this help and exit
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [/usr/local]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

* Specific options:
  --enable-editcomplete   turn on command line editing and completion
                          (requires system or local libedit) [default=enabled]
  --enable-ipv6           enable IPv6 support (if your OS supports it)
                          [default=enabled]
  --enable-ssl            enable SSL support (requires --with-openssl)
                          [default=auto]
  --with-local-libedit    use local libedit instead of system library: yes;
                          auto (try system, fallback to local); no
                          [default=auto]
  --with-socks            enable support for (Dante) SOCKS5 proxy
                          [default=auto]
  --with-openssl=DIR      root of the OpenSSL directory

The following environment variables can be set to override various
compiler related settings.
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>

This can be achieved with:
	env CC="compiler" CFLAGS="flags" LDFLAGS="flags" ./configure
